"use strict";
// Mechanism used by Vite/Next/Nuxt plugins for automatically loading `.telefunc.js` files.
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerTelefunction = exports.loadTelefuncFilesWithRegistration = void 0;
const utils_1 = require("../../utils");
const g = (0, utils_1.getGlobalObject)('loadTelefuncFilesWithRegistration.ts', {
    telefuncFilesLoaded: null,
});
function loadTelefuncFilesWithRegistration() {
    return g.telefuncFilesLoaded;
}
exports.loadTelefuncFilesWithRegistration = loadTelefuncFilesWithRegistration;
function registerTelefunction(telefunction, exportName, telefuncFilePath) {
    var _a;
    g.telefuncFilesLoaded = (_a = g.telefuncFilesLoaded) !== null && _a !== void 0 ? _a : {};
    g.telefuncFilesLoaded[telefuncFilePath] = Object.assign(Object.assign({}, g.telefuncFilesLoaded[telefuncFilePath]), { [exportName]: telefunction });
}
exports.registerTelefunction = registerTelefunction;
