"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformTelefuncFileClientSide = void 0;
const getExportNames_1 = require("./getExportNames");
const transformTelefuncFileClientSideSync_1 = require("./transformTelefuncFileClientSideSync");
async function transformTelefuncFileClientSide(src, id, appRootDir) {
    const exportNames = await (0, getExportNames_1.getExportNames)(src);
    return (0, transformTelefuncFileClientSideSync_1.transformTelefuncFileClientSideSync)(id, appRootDir, exportNames);
}
exports.transformTelefuncFileClientSide = transformTelefuncFileClientSide;
