"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.importGlobOn = exports.importGlobOff = void 0;
const fs_1 = require("fs");
const utils_1 = require("../utils");
const dir = __dirname + (() => '')(); // trick to avoid `@vercel/ncc` to glob import
const telefuncFilesGlobPath = `${dir}/telefuncFilesGlob.js`;
const importGlob = `import.meta.glob("/**/*.telefunc.${utils_1.scriptFileExtensions}")`;
function importGlobOff() {
    (0, fs_1.writeFileSync)(telefuncFilesGlobPath, ['exports.importGlobOff = true', ''].join('\n'));
}
exports.importGlobOff = importGlobOff;
function importGlobOn() {
    (0, fs_1.writeFileSync)(telefuncFilesGlobPath, 
    // prettier-ignore
    [
        `export const telefuncFilesGlob = ${importGlob};`,
        // 'console.log("`.telefunc.js` files", Object.keys(telefuncFilesGlob))',
        '',
    ].join('\n'));
}
exports.importGlobOn = importGlobOn;
