"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTelefuncManifest = void 0;
const serverConfig_1 = require("../../../server/serverConfig");
const utils_1 = require("../../utils");
const assertManifest_1 = require("./assertManifest");
function getTelefuncManifest() {
    const manifest = {
        version: utils_1.projectInfo.projectVersion,
        config: serverConfig_1.config,
    };
    (0, assertManifest_1.assertManifest)(manifest);
    return manifest;
}
exports.getTelefuncManifest = getTelefuncManifest;
