export { onAbort };
export { callOnAbortListeners };
export { onTelefunctionRemoteCallError };
import type { TelefunctionError, TelefunctionCallAbort } from '../TelefunctionError';
declare type Listener = (err: TelefunctionCallAbort) => void;
/** Outdated: use onAbort() instead */
declare function onTelefunctionRemoteCallError(listener: (err: TelefunctionError) => void): void;
declare function onAbort(listener: Listener): void;
declare function callOnAbortListeners(err: TelefunctionCallAbort): void;
declare global {
    interface Window {
        __telefunc_errorListeners: Listener[];
    }
}
