"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = telefuncPlugin;
const install_1 = require("../webpack/install");
const picocolors_1 = __importDefault(require("picocolors"));
function telefuncPlugin(nextConfig = {}) {
    return Object.assign({}, nextConfig, {
        webpack: (config, options) => {
            (0, install_1.install)(config, `${picocolors_1.default.green(picocolors_1.default.bold(' ✓'))}`);
            if (typeof nextConfig.webpack === 'function') {
                return nextConfig.webpack(config, options);
            }
            return config;
        },
    });
}
