"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setViteDevServer = exports.getViteDevServer = void 0;
const utils_1 = require("../utils");
const globalObject = (0, utils_1.getGlobalObject)('globalContext.ts', {
    viteDevServer: null,
});
function setViteDevServer(viteDevServer) {
    globalObject.viteDevServer = viteDevServer;
}
exports.setViteDevServer = setViteDevServer;
function getViteDevServer() {
    return globalObject.viteDevServer;
}
exports.getViteDevServer = getViteDevServer;
