"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.callBugListeners = exports.onBug = void 0;
const bugListeners = [];
function onBug(listener) {
    bugListeners.push(listener);
}
exports.onBug = onBug;
function callBugListeners(err) {
    bugListeners.forEach((listener) => {
        listener(err);
    });
}
exports.callBugListeners = callBugListeners;
