"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* Uncomment this to unit test this file
type _cases = [
  Expect<Equals<ShieldStr<string>, '__telefunc_t.string'>>,
  Expect<Equals<ShieldStr<number>, '__telefunc_t.number'>>,
  Expect<Equals<ShieldStr<boolean>, '__telefunc_t.boolean'>>,
  Expect<Equals<ShieldStr<Date>, '__telefunc_t.date'>>,
  Expect<Equals<ShieldStr<any>, '__telefunc_t.any'>>,
  Expect<Equals<ShieldStr<string | null>, '__telefunc_t.nullable(__telefunc_t.string)'>>,
  Expect<Equals<ShieldStr<string | undefined>, '__telefunc_t.optional(__telefunc_t.string)'>>,
  Expect<
    Equals<ShieldStr<number | null | undefined>, '__telefunc_t.optional(__telefunc_t.nullable(__telefunc_t.number))'>
  >,
  Expect<Equals<ShieldStr<1 | null>, '__telefunc_t.nullable(__telefunc_t.const(1))'>>,
  Expect<Equals<ShieldStr<1 | undefined>, '__telefunc_t.optional(__telefunc_t.const(1))'>>,
  Expect<Equals<ShieldStr<[number, boolean]>, '__telefunc_t.tuple(__telefunc_t.number, __telefunc_t.boolean)'>>,
  Expect<
    EqualsAnyOf<
      ShieldStr<[number?, boolean?]>,
      [
        '__telefunc_t.tuple(__telefunc_t.optional(__telefunc_t.number), __telefunc_t.optional(__telefunc_t.boolean))',
        '__telefunc_t.tuple(__telefunc_t.optional(__telefunc_t.boolean), __telefunc_t.optional(__telefunc_t.number))'
      ]
    >
  >,
  Expect<
    EqualsAnyOf<
      ShieldStr<'one' | 'two'>,
      [
        "__telefunc_t.or(__telefunc_t.const('two'), __telefunc_t.const('one'))",
        "__telefunc_t.or(__telefunc_t.const('one'), __telefunc_t.const('two'))"
      ]
    >
  >,
  Expect<
    EqualsAnyOf<
      ShieldStr<1 | 2 | undefined>,
      [
        '__telefunc_t.optional(__telefunc_t.or(__telefunc_t.const(2), __telefunc_t.const(1)))',
        '__telefunc_t.optional(__telefunc_t.or(__telefunc_t.const(1), __telefunc_t.const(2)))'
      ]
    >
  >,
  Expect<
    EqualsAnyOf<
      ShieldStr<number | string>,
      [
        '__telefunc_t.or(__telefunc_t.number, __telefunc_t.string)',
        '__telefunc_t.or(__telefunc_t.string, __telefunc_t.number)'
      ]
    >
  >,
  Expect<Equals<ShieldStr<number[]>, '__telefunc_t.array(__telefunc_t.number)'>>,
  Expect<
    Equals<
      ShieldStr<[number, string][]>,
      '__telefunc_t.array(__telefunc_t.tuple(__telefunc_t.number, __telefunc_t.string))'
    >
  >,
  Expect<
    Equals<ShieldStr<{ age: number; hasBike: boolean }>, '{ hasBike: __telefunc_t.boolean, age: __telefunc_t.number }'>
  >,
  Expect<
    Equals<
      ShieldStr<{ age: number; hasBike?: boolean }>,
      '{ hasBike: __telefunc_t.optional(__telefunc_t.boolean), age: __telefunc_t.number }'
    >
  >,
  Expect<Equals<ShieldStr<'test'>, "__telefunc_t.const('test')">>,
  Expect<Equals<ShieldStr<"'test'">, "__telefunc_t.const('\\'test\\'')">>,
  Expect<Equals<ShieldStr<true>, '__telefunc_t.const(true)'>>,
  Expect<Equals<ShieldStr<false>, '__telefunc_t.const(false)'>>,
  Expect<Equals<ShieldStr<123>, '__telefunc_t.const(123)'>>,
  Expect<
    Equals<
      ShieldStr<{ isGood: boolean } | string>,
      '__telefunc_t.or({ isGood: __telefunc_t.boolean }, __telefunc_t.string)'
    >
  >,
  Expect<Equals<ShieldStr<{ age: number }[]>, '__telefunc_t.array({ age: __telefunc_t.number })'>>,
  Expect<Equals<ShieldStr<Record<string, number>>, '__telefunc_t.object(__telefunc_t.number)'>>,
  Expect<
    Equals<
      ShieldStr<Record<string, { age?: number }>>,
      '__telefunc_t.object({ age: __telefunc_t.optional(__telefunc_t.number) })'
    >
  >,
  Expect<Equals<ShieldStr<Record<string, number>[]>, '__telefunc_t.array(__telefunc_t.object(__telefunc_t.number))'>>,
  Expect<Equals<ShieldArrStr<[string, number]>, '[__telefunc_t.string, __telefunc_t.number]'>>,
  Expect<Equals<ShieldArrStr<[number?]>, '[__telefunc_t.optional(__telefunc_t.number)]'>>,
  Expect<
    Equals<
      ShieldArrStr<[string, number?, string?]>,
      '[__telefunc_t.string, __telefunc_t.optional(__telefunc_t.number), __telefunc_t.optional(__telefunc_t.string)]'
    >
  >
]
type Expect<T extends true> = T
type EqualsAnyOf<T, L extends any[]> = L extends [infer Head, ...infer Tail]
  ? Equals<T, Head> extends true
    ? true
    : EqualsAnyOf<T, Tail>
  : false
//*/
