"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExportNames = void 0;
const es_module_lexer_1 = require("es-module-lexer");
const utils_1 = require("../utils");
async function getExportNames(src) {
    await es_module_lexer_1.init;
    const parseResult = (0, es_module_lexer_1.parse)(src);
    const exportNames = parseResult[1];
    (0, utils_1.assert)(Array.isArray(exportNames), { src, exportNamesType: typeof exportNames });
    return exportNames;
}
exports.getExportNames = getExportNames;
