"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildConfig = void 0;
const utils_1 = require("../utils");
function buildConfig() {
    let config;
    return {
        name: 'telefunc:buildConfig',
        apply: 'build',
        enforce: 'post',
        configResolved(config_) {
            config = config_;
            setOutDir(config);
        },
    };
}
exports.buildConfig = buildConfig;
function setOutDir(config) {
    const outDir = (0, utils_1.determineOutDir)(config);
    if (outDir)
        config.build.outDir = outDir;
}
