"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertManifest = void 0;
const utils_1 = require("../../utils");
function assertManifest(manifest) {
    (0, utils_1.assert)((0, utils_1.hasProp)(manifest, 'version', 'string'));
    (0, utils_1.assertUsage)(manifest.version === utils_1.projectInfo.projectVersion, `Re-build your app (\`$ vite build\`). (You are using \`telefunc@${utils_1.projectInfo.projectVersion}\` while your build has been generated with a different version \`telefunc@${manifest.version}\`.)`);
    (0, utils_1.assert)((0, utils_1.hasProp)(manifest, 'config', 'object'));
    (0, utils_1.checkType)(manifest);
}
exports.assertManifest = assertManifest;
