"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isTelefuncFilePath = void 0;
const filesystemPathHandling_1 = require("./filesystemPathHandling");
function isTelefuncFilePath(filePath) {
    (0, filesystemPathHandling_1.assertPosixPath)(filePath);
    return filePath.includes('.telefunc.');
}
exports.isTelefuncFilePath = isTelefuncFilePath;
