export type { TelefunctionError };
export type { TelefunctionCallAbort };
declare type TelefunctionError = TelefunctionCallErrorSsr | TelefunctionCallErrorConnection | TelefunctionCallAbort;
declare type TelefunctionCallErrorSsr = Error & {
    isConnectionError?: undefined;
    isAbort?: undefined;
};
declare type TelefunctionCallErrorConnection = Error & {
    isConnectionError: true;
    isAbort?: undefined;
};
declare type TelefunctionCallAbort = Error & {
    isConnectionError?: undefined;
    isAbort: true;
    abortValue: unknown;
};
